0

Shopping cart

0

Shopping cart

IDE68K for Amiga 500 / 500+

Category:

Add bootable IDE connectivity to your Amiga 500/500+ .  

Kickstart 2.05 or newer is required .
Units are new and tested with IDE to CF adapter.

35.00 

12 in stock

  • 5 Stars
  • 4 Stars
  • 3 Stars
  • 2 Stars
  • 1 Stars

Average Star Rating: 0.0 out of 5 (0 vote)

If you finish the payment today, your order will arrive within the estimated delivery time.

Reviews

There are no reviews yet.

Be the first to review “IDE68K for Amiga 500 / 500+”

Your email address will not be published.